updateAstronomical(params: IAstronomical)

Requires:
@ray-js/ray≥1.5.2

Description

Update astronomical timer

Parameters

ParameterTypeRequiredDescription
YesRequest parameters

Return Value

Type: Promise<boolean>
Whether the astronomical timer was updated successfully

Examples

Basic usage

import { updateAstronomical } from '@ray-js/ray';

updateAstronomical({
  id: 8642566,
  astronomicalType: 1,
  bizId: 'vdevo160456552237748',
  bizType: 0,
  dps: { 1: true },
  lat: 30.300694,
  lon: 120.068634,
  loops: '1111111',
  offsetType: -1,
  time: '00:04',
  timezone: '+08:00',
}).then((response) => {
  console.log('Update result:', response);
}).catch((err) => {
  console.error(err);
});